package com.logicbig.example;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;
import java.util.Arrays;
import java.util.List;

public class ExampleMain {
    private static final EntityManagerFactory emf =
            Persistence.createEntityManagerFactory(
                    "testPersistenceUnit");
    private static final EntityManager entityManager = emf.createEntityManager();

    public static void main(String[] args) {
        //h2 native query to show tables and columns
        runNativeQuery("SHOW TABLES");
        runNativeQuery("SHOW COLUMNS from MyEntity");
    }

    private static void runNativeQuery(String s) {
        System.out.println("--------\n" + s);
        Query query = entityManager.createNativeQuery(s);
        List list = query.getResultList();
        for (Object o : list) {
            System.out.println(Arrays.toString((Object[]) o));
        }
    }
}